#!/usr/bin/env python

import sys
import subprocess

def main():

    val = 45.743556374833076

    start = val - 10.0
    stop  = val + 10.0
    step  =       20.0

    val = start-step
    while val < stop-0.5*step:

        val += step
        print "val = %.6f" % val

        f = open("chi2.in", "w")
        f.write("""# chi2.in
# nparam number of paramters
# x() vector:
#
#  m1 m2 m3
#  P1 e1 i1 Omega1 omega1 M1
#  P2 e2 i2 Omega2 omega2 M2
#  T1 T2 T3
#  logg1 logg2 logg3
#  vrot1 vrot2 vrot3
#  Delta_t1 Delta_t2 Delta_t3
#  gamma
#  d_pc
#  pole_l pole_b ...
#
31

   1.4927353351952907E-012   2.0000000000000000E-016   2.9999999999999999E-016
   1.8222749997130392       -3.9919870415268806        70.104435229652950        252.92017511347007        8.9805561990396077E-002   59.665130828345056
   2.7458042010877083       -3.9982467352765561        70.347780160656981        252.95450255447048        1.6011797657967659        108.35794158191240
   5780.0000000000000        5780.0000000000000        5780.0000000000000
   4.5000000000000000        4.5000000000000000        4.5000000000000000
   0.0000000000000000        0.0000000000000000        0.0000000000000000
   %.16e                     0.0000000000000000        0.0000000000000000
   0.0000000000000000
   5.3000000000000001E-006
   72.961896260904695        19.628609555026848               68           0           0           0           0           0           0           0           0           0        3240          28           0        3336   132.12552712796960        0.0000000000000000        0.0000000000000000        0.0000000000000000        0.0000000000000000        0.0000000000000000        0.0000000000000000        0.0000000000000000        0.0000000000000000        0.0000000000000000        621.17748267902437        65.971282220123101        0.0000000000000000        2.9999999999701350        387.45005415177013     

2454728.761806		! fixed (dependent) parameters: T0 [JD]; DESCAMPS

3			! nbod number of bodies; a list of 2*nbod+4 files with observational data (or '-' if no data)...
-
Sky2_photocentre.dat
Sky3_photocentre.dat
-
-
-
-
-
-
-

0			! nband number of photometric bands; a list of bands and lightcurve files
-
-
-
-
-
-
-
-
AO1.dat
Sky_differential.dat
-

4                       ! geometry of the system: 0 ... hierarchical ((1+2)+3)+4, 1 ... two pairs ((1+2)+(3+4))+5

0.0 0.0 0.0		! m_min(nbod) [M_S] minimum masses
10.0 10.0 10.0		! m_max(nbod) [M_S] maximum masses
0.0 0.0 0.0		! metal(nbod) [M/H] metallicity
F F F			! use_hec88(nbod) use Harmanec (1988) to constrain components (i.e. use only T_eff as a parameter!)

0.005			! lightcurve_timestep [day] timestep of synthetic lightcurve; set to 0.0 if all observed points should be computed
0.100			! approx_eclipse_duration [day] approximate eclipse duration for eclipse detection
399.e-9 675.e-9		! lambda1 lambda2 [metres] wavelength range for rectified synthetic spectra
321.e-9 998.e-9		! lambda3 lambda4 [metres] range for absolute spectra (to fit SED)

0.2			! silh_factor [] signal = factor*max(signal) to compute a silhouette

T			! use_planck [T|F] use Planck approximation; otherwise use absolute synthetic spectra (*.abs files)
F			! use_filters [T|F] use filter transmissions to compute SED; otherwise use effective wavelengths and bandpasses
F			! use_limbdark [T|F] use linear limb-darkening coefficients for visibility |V|^2 calculation
F			! use_pyterpol [T|F] use Pyterpol (Nemravova et al. 2016) to generate synthetic spectra on-the-fly
T			! use_vardist [T|F] use variable distance/geometry (in solar system)
F			! use_varpole [T|F] use variable pole of body 1 (in solar system)
T			! use_multipole [T|F] use multipole expansion of body 1
F			! use_bruteforce [T|F] use shape of body 1 and brute-force algorithm

1.0 1.0 1.0 1.0 1.0 1.0 1.0 1.0 1.0 1.0 0.3 1.0	1.0	! w_SKY w_RV w_TTV w_ECL w_VIS w_CLO w_T3 w_LC w_SYN w_SED w_AO w_SKY2 w_SKY3 weights for chi^2 computation
1.e-8			! eps_BS for Bulirsch-Stoer integrator
T			! debugging output?
T			! debug integrator?

""" % (val))
        f.close()

        subprocess.check_output("./chi2 < chi2.in > chi2.out", shell=True)
        subprocess.check_output("./map.plt", shell=True)
        subprocess.check_output("cp map.png chi2_SKY_uv.png__%08.6f" % (val), shell=True)
        subprocess.check_output("cp chi2_SKY.dat chi2_SKY.dat__%08.6f" % (val), shell=True)
        subprocess.check_output("cp chi2_SKY2.dat chi2_SKY2.dat__%08.6f" % (val), shell=True)


if __name__ == "__main__":
    main()


