#!/usr/bin/gnuplot

deg = pi/180.
km = 1.e3
au = 1.49597870700e11

f(x) = x>720. ? x-720. : x>360. ? x-360. : x

load "T0.plt"
set arrow from (T0-2400000),graph 0 rto 0,graph 1 nohead lt 0 front

set xl "t [JD-2400000]"
set yl "sigma"
set zeroaxis

p \
  "sigma.out_10000" u ($1-2400000):2,\
  "sigma.out_10000" u ($1-2400000):4,\
  180.0 w l lt 0

pa -1

set term post eps enh color solid "Helvetica,18"
set out "sigma.eps"
rep

q

($1-2400000):(f($6))

  "<./sigma.awk xvpl2el.out" u ($1-2400000):(f($5)) not w l lc 'red',\
  "<./sigma.awk xvpl2el.out" u ($1-2400000):(f($6)) not w l lc 'green'
