#!/usr/bin/gnuplot

deg = pi/180.
km = 1.e3
au = 1.49597870700e11

f(x) = x>720. ? x-720. : x>360. ? x-360. : x

set xl "e cos(sigma)"
set yl "e sin(sigma)"

tmp=0.15
set xr [-tmp:tmp]
set yr [-tmp:tmp]
set size ratio -1
set zeroaxis

p \
  "sigma.out_2000" u ($5*cos($4*deg)):($5*sin($4*deg)) not w l ls 2,\
  "sigma.out_2000" u ($3*cos($2*deg)):($3*sin($2*deg)) not w l ls 1,\

pa -1

set term post eps enh color solid "Helvetica,18"
set out "sigma2.eps"
rep

q

($1-2400000):(f($6))

  "<./sigma.awk xvpl2el.out" u ($1-2400000):(f($5)) not w l lc 'red',\
  "<./sigma.awk xvpl2el.out" u ($1-2400000):(f($6)) not w l lc 'green'
