#!/usr/bin/env python

import re
import math

DEG = math.pi/180.0
PI2 = 2.0*math.pi
EPS = 5.0e-3

def zero2pi(x):
    y = x/PI2
    y = (y-int(y))*PI2
    if y < 0.0:
       y = y + PI2
    return y

########################################################################

f = open("chi2.out", "r")

for line in f.readlines():
    l = line.split()
    if re.match(".*x_param.*", line) and l[2]=="4":
        P1 = float(l[5])
    elif re.match(".*x_param.*", line) and l[2]=="10":
        P2 = float(l[5])
    elif re.match(".*T0 =", line):
        T0 = float(l[3])

f.close()

print "# P1 = ", P1, " d"
print "# P2 = ", P2, " d"

########################################################################

jd = []

f = open("../Sky3_photocentre.dat", "r")

for line in f.readlines():
    if not re.match("^#", line):
        l = line.split()
        jd.append(float(l[0]))

f.close()

#jd = [T0, T0+3780.0]
print "# jd = ", jd
print "# len(jd) = ", len(jd)

########################################################################

phi360 = 0.0
lambda__ = 0.0
E = []

f = open("xvpl2el.out", "r")

j = 0
for line in f.readlines():
    if not re.match("^#", line):
        l = line.split()
        t = float(l[0])
        i = int(l[1])
        if i == -3:
            Omega = float(l[5])*DEG
            omega = float(l[6])*DEG 
            M = float(l[7])*DEG 
            lambda_ = zero2pi(omega+Omega+M)
            if lambda_ < lambda__:
                phi360 += PI2
            lambda__ = lambda_

            if j < len(jd) and abs(t-jd[j]) < EPS:
                E.append((phi360 + lambda_)/PI2)
                j += 1

f.close()

f = open("epochs.out", "w")
f.write("# JD [] & E [] & E_simple = timespan/P []\n")
f.write("# P2 = " + str(P2) + "\n")

E0 = E[0]
for j in xrange(0,len(E)):
    E[j] -= E0
    E_simple = (jd[j]-T0)/P2
    print "jd = %.6f --> E = %.6f	vs. %.6f" % (jd[j]-2400000, E[j], E_simple)
    f.write("%.6f	%.6f	%.6f\n" % (jd[j], E[j], E_simple))

f.close()

